@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}
body {
  width: 100vw;
  height: 100vh;
  position: relative;
  background: #fbf8f1;
}
.form-security,
form[name="registration_form"] {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  -webkit-box-shadow: 0px 0px 25px -6px #dfe4ea;
  -moz-box-shadow: 0px 0px 25px -6px #dfe4ea;
  box-shadow: 0px 0px 25px -6px #dfe4ea;
  min-width: 300px;
  padding: 50px 30px;
  border-radius: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.form-security h2,
form[name="registration_form"] h2 {
  margin-bottom: 20px;
}
.form-security label,
form[name="registration_form"] label {
  font-size: 14px;
  font-weight: 500;
  color: #576574;
}
.form-control {
  padding: 4px;
  margin: 4px 0;
  font-size: 16px;
  border: 1px solid #576574;
  border-radius: 6px;
}
.login__button,
.register__button {
  margin-top: 10px;
  padding: 8px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  background-color: #ff6b6b;
  color: #fff;
  font-size: 15px;
}
.login__button:hover,
.register__button:hover {
  background-color: #ee5253;
}
.form__redirect {
  margin-top: 10px;
  text-align: center;
}
.form__redirect a {
  text-decoration: none;
  font-weight: 600;
  color: #ff6b6b;
}

.wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.wrapper .welcome,
.wrapper .lists,
.wrapper .todos {
  background: #fff;
  -webkit-box-shadow: 0px 0px 25px -6px #dfe4ea;
  -moz-box-shadow: 0px 0px 25px -6px #dfe4ea;
  box-shadow: 0px 0px 25px -6px #dfe4ea;
  margin-top: 20px;
  padding: 50px;
  border-radius: 10px;
  width: 60%;
}
.welcome a {
  display: inline-block;
  margin-top: 5px;
  padding: 8px;
  border-radius: 6px;
  text-decoration: none;
  border: none;
  cursor: pointer;
  background-color: #ff6b6b;
  color: #fff;
  font-size: 15px;
}
.welcome a:hover {
  background-color: #ee5253;
}
.show_container_name {
  text-align: center;
}
.show_container_name .actions {
  display: flex;
  justify-content: center;
  margin-top: 5px;
}
.show_container_name a {
  margin-top: 0;
  text-decoration: none;
  font-size: 14px;
  font-weight: 500;
  color: #fff;
}
.show_container_name form {
  display: inline-block;
  width: max-content;
  margin-left: 10px;
}
.lists__info,
.todos__info {
  font-size: 19px;
  font-weight: 500;
}
.list__card,
.todo__card {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 8px;
  padding: 10px;
  border-radius: 6px;
  background-color: rgb(242, 242, 242, 0.6);
  font-size: 17px;
}
.todo__card input[type="checkbox"] {
  transform: scale(1.5);
}
.list__card .list__actions a,
.todo__card .todo__actions a {
  text-decoration: none;
  color: #576574;
  font-size: 20px;
}
.list__card .list__actions a:hover,
.todo__card .todo__actions a:hover {
  color: #424c57;
}
.list__create form,
.todo__create form {
  width: 100%;
}
.list__create form input[type="text"],
.todo__create form input[type="text"] {
  width: calc(100% - 95px);
  padding: 2px;
  font-size: 16px;
  border: 1px solid #d9d9d9;
  background: transparent;
  border-radius: 6px;
}
.list__create form input[type="text"]:hover,
.list__create form input[type="text"]:focus,
.todo__create form input[type="text"]:hover,
.todo__create form input[type="text"]:focus {
  outline: none;
}
.list__create form input[type="submit"],
.todo__create form input[type="submit"] {
  padding: 2px;
  width: 80px;
  height: 32px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  background-color: #ff6b6b;
  color: #fff;
  font-size: 15px;
}
.show_container_name .actions form button[type="submit"] {
  padding: 7px;
  width: 80px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  background-color: #ff6b6b;
  color: #fff;
  font-size: 15px;
}
.list__create form input[type="submit"]:hover,
.show_container_name .actions form button[type="submit"]:hover,
.todo__create form input[type="submit"]:hover {
  background-color: #ee5253;
}
.list__card span,
.todo__card span {
  margin: 0 8px;
}

.list__create form ul,
.todo__create form ul,
form[name="registration_form"] ul {
  list-style-type: none;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
  color: #e74c3c;
}
.alert.alert-danger {
  text-align: center;
  font-size: 16px;
  font-weight: 500;
  color: #e74c3c;
}
